From: "Austin English" <wizardedit@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-board/gtkatlantic/, games-board/gtkatlantic/files/
Date: Wed, 7 Sep 2016 18:41:54 +0000 (UTC) [thread overview]
Message-ID: <1473273689.6d31a59a75324eacf41c7840a0c44648c3e33c18.wizardedit@gentoo> (raw)
commit: 6d31a59a75324eacf41c7840a0c44648c3e33c18
Author: Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 7 18:41:29 2016 +0000
Commit: Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Wed Sep 7 18:41:29 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d31a59a
games-board/gtkatlantic: remove deprecated games eclass
Also update to EAPI 6
Gentoo-Bug: https://bugs.gentoo.org/574082
Package-Manager: portage-2.3.0
.../files/gtkatlantic-0.6.1-warnings.patch | 4 +-
.../gtkatlantic/gtkatlantic-0.6.1-r1.ebuild | 52 ++++++++++++++++++++++
2 files changed, 54 insertions(+), 2 deletions(-)
diff --git a/games-board/gtkatlantic/files/gtkatlantic-0.6.1-warnings.patch b/games-board/gtkatlantic/files/gtkatlantic-0.6.1-warnings.patch
index a924505..a55c7ac 100644
--- a/games-board/gtkatlantic/files/gtkatlantic-0.6.1-warnings.patch
+++ b/games-board/gtkatlantic/files/gtkatlantic-0.6.1-warnings.patch
@@ -1,5 +1,5 @@
---- src/readpng.c.orig
-+++ src/readpng.c
+--- a/src/readpng.c
++++ b/src/readpng.c
@@ -23,6 +23,7 @@
#include <stdio.h>
diff --git a/games-board/gtkatlantic/gtkatlantic-0.6.1-r1.ebuild b/games-board/gtkatlantic/gtkatlantic-0.6.1-r1.ebuild
new file mode 100644
index 00000000..fdfb15e
--- /dev/null
+++ b/games-board/gtkatlantic/gtkatlantic-0.6.1-r1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit autotools eutils gnome2-utils
+
+DESCRIPTION="Monopoly-like game that works with the monopd server"
+HOMEPAGE="http://gtkatlantic.gradator.net/"
+SRC_URI="http://download.tuxfamily.org/gtkatlantic/downloads/v0.6/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+RDEPEND="
+ dev-libs/libxml2
+ media-libs/libpng:0
+ x11-libs/gtk+:3"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-warnings.patch
+)
+
+src_prepare() {
+ default
+
+ sed -i -e 's:$(datadir):/usr/share:' {,data/}Makefile.am || die
+ sed -i -e 's/configure.in/configure.ac/' configure.in || die
+ mv configure.{in,ac} || die
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --with-icons-path=/usr/share/icons/hicolor
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
next reply other threads:[~2016-09-07 18:42 UTC|newest]
Thread overview: 2+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-09-07 18:41 Austin English [this message]
-- strict thread matches above, loose matches on Subject: below --
2020-10-15 18:32 [gentoo-commits] repo/gentoo:master commit in: games-board/gtkatlantic/, games-board/gtkatlantic/files/ Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1473273689.6d31a59a75324eacf41c7840a0c44648c3e33c18.wizardedit@gentoo \
--to=wizardedit@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox